Retrieves a list of traces for the authenticated user
curl --request GET \
--url https://platform-backend.getalchemystai.com/api/v1/context/traces \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-backend.getalchemystai.com/api/v1/context/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-backend.getalchemystai.com/api/v1/context/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"traces": [
{
"_id": "trace_123",
"userId": "user_123",
"organizationId": "org_123",
"type": "context.search",
"data": {
"query": "What did the customer ask about pricing for the Scale plan?",
"source": "support-inbox",
"fileName": "support_thread_TCK-1234.txt"
},
"createdAt": "2025-01-10T12:35:10.000Z",
"updatedAt": "2025-01-10T12:35:10.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false
}
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}Endpoint examples
Retrieves a list of traces for the authenticated user
Returns paginated traces for the authenticated user within their organization.
GET
/
api
/
v1
/
context
/
traces
Retrieves a list of traces for the authenticated user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Number of traces per page
⌘I

